<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Настройки</ion-title>
  </ion-navbar>
</ion-header>

<ion-content>

  <ion-segment [(ngModel)]="tab">
    <ion-segment-button value="1">
      Тарифы
    </ion-segment-button>
    <ion-segment-button value="2">
      Начальные показания
    </ion-segment-button>
  </ion-segment>

  <div [ngSwitch]="tab">

    <div *ngSwitchCase="'1'">
      <ion-list>

        <ion-item>
          <ion-label>
            <ion-icon ios="ios-water" md="md-water" item-start></ion-icon>
            Холодная вода
          </ion-label>

          <ion-input [(ngModel)]="rates.coldWater" type="text"></ion-input>
        </ion-item>

        <ion-item>
          <ion-label>
            <ion-icon ios="ios-thermometer" md="md-thermometer" item-start></ion-icon>
            Горячая вода
          </ion-label>
          <ion-input [(ngModel)]="rates.hotWater" type="text"></ion-input>
        </ion-item>

        <ion-item>
          <ion-label>
            <ion-icon ios="ios-flash" md="md-flash" item-start></ion-icon>
            Электроенергия
          </ion-label>
          <ion-input [(ngModel)]="rates.energy" type="text"></ion-input>
        </ion-item>

      </ion-list>

      <ion-grid>
        <ion-row>
          <ion-col col-12 class="content-center">
            <button (click)="saveRates()" ion-button color="secondary" outline>Сохранить</button>
          </ion-col>
        </ion-row>
      </ion-grid>

    </div>

    <div *ngSwitchCase="'2'">
      <ion-list>

        <ion-item>
          <ion-label>
            <ion-icon ios="ios-water" md="md-water" item-start></ion-icon>
            Холодная вода
          </ion-label>

          <ion-input [(ngModel)]="startMetersData.coldWater" type="text"></ion-input>
        </ion-item>

        <ion-item>
          <ion-label>
            <ion-icon ios="ios-thermometer" md="md-thermometer" item-start></ion-icon>
            Горячая вода
          </ion-label>
          <ion-input [(ngModel)]="startMetersData.hotWater" type="text"></ion-input>
        </ion-item>

        <ion-item>
          <ion-label>
            <ion-icon ios="ios-flash" md="md-flash" item-start></ion-icon>
            Электроенергия
          </ion-label>
          <ion-input [(ngModel)]="startMetersData.energy" type="text"></ion-input>
        </ion-item>

      </ion-list>

      <ion-grid>
        <ion-row>
          <ion-col col-12 class="content-center">
            <button (click)="saveStartMetersData()" ion-button color="secondary" outline>Сохранить</button>
          </ion-col>
        </ion-row>
      </ion-grid>

    </div>

  </div>


</ion-content>
